package com.tykj.dev.device.train.dao;

import com.tykj.dev.device.train.entity.TestPaper;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.List;

public interface TestPaperDao extends JpaRepository<TestPaper, Integer>, JpaSpecificationExecutor<TestPaper> {
TestPaper findByTrainIdAndUserId(Integer trainId,Integer userId);

List<TestPaper> findAllByTrainIdAndStatus(Integer trainId,Integer status);

List<TestPaper> findAllByTrainId(Integer trainId);
}
